org.apache.datasketches.tuple.aninteger

## Enum IntegerSummary.Mode

- java.lang.Object
- - java.lang.Enum<IntegerSummary.Mode>
  - - org.apache.datasketches.tuple.aninteger.IntegerSummary.Mode

All Implemented Interfaces:
  Serializable, Comparable<IntegerSummary.Mode>

Enclosing class:
  IntegerSummary

    public static enum IntegerSummary.Mode
    extends Enum<IntegerSummary.Mode>

The aggregation modes for this Summary

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AlwaysOne` The aggregation mode is always one.
`Max` The aggregation mode is the maximum function.
`Min` The aggregation mode is the minimum function.
`Sum` The aggregation mode is the summation function.

### Method Summary

All Methods Static Methods Concrete Methods
`static IntegerSummary.Mode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IntegerSummary.Mode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Sum

    public static final IntegerSummary.Mode Sum

The aggregation mode is the summation function.

New retained value = previous retained value + incoming value

#### Min

    public static final IntegerSummary.Mode Min

The aggregation mode is the minimum function.

New retained value = min(previous retained value, incoming value)

#### Max

    public static final IntegerSummary.Mode Max

The aggregation mode is the maximum function.

New retained value = max(previous retained value, incoming value)

#### AlwaysOne

    public static final IntegerSummary.Mode AlwaysOne

The aggregation mode is always one.

New retained value = 1

### Method Detail

#### values

    public static IntegerSummary.Mode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IntegerSummary.Mode c : IntegerSummary.Mode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IntegerSummary.Mode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null